cascading.tuple.hadoop.io

## Class HadoopTupleInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream
      - - cascading.tuple.io.TupleInputStream
        - - cascading.tuple.hadoop.io.HadoopTupleInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.lang.AutoCloseable

      public class HadoopTupleInputStream
      extends TupleInputStream

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.tuple.io.TupleInputStream

      `TupleInputStream.ElementReader, TupleInputStream.TupleElementReader<T extends TupleInputStream>`

  - ### Field Summary

    - ### Fields inherited from class cascading.tuple.io.TupleInputStream

      `elementReader, inputStream`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopTupleInputStream(java.io.InputStream inputStream, TupleInputStream.ElementReader elementReader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getNextElement()`
    `int` | `getNumElements()`
    `static TupleInputStream.TupleElementReader[]` | `getReadersFor(TupleInputStream.ElementReader elementReader, java.lang.Class[] classes)`
    `IndexTuple` | `readIndexTuple(IndexTuple tuple)`
    `java.lang.Integer` | `readNullVInt()`
    `java.lang.Long` | `readNullVLong()`
    `java.lang.String` | `readString()`
    `int` | `readToken()`
    `java.lang.Object` | `readType(java.lang.Class type)`
    `protected java.lang.Object` | `readType(int type)`
    `int` | `readVInt()`
    `long` | `readVLong()`

    - ### Methods inherited from class cascading.tuple.io.TupleInputStream

      `close, getComparatorFor, getInputStream, readIndexTuple, readTuple, readTuple, readTuplePair, readTuplePair, readTyped, readUnTyped, readWith`

    - ### Methods inherited from class java.io.DataInputStream

      `read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopTupleInputStream

          public HadoopTupleInputStream(java.io.InputStream inputStream,
                                TupleInputStream.ElementReader elementReader)

  - ### Method Detail

    - #### getReadersFor

          public static TupleInputStream.TupleElementReader[] getReadersFor(TupleInputStream.ElementReader elementReader,
                                                            java.lang.Class[] classes)

    - #### getNumElements

          public int getNumElements()
                             throws java.io.IOException

      Specified by:
        `getNumElements` in class `TupleInputStream`
      Throws:
        `java.io.IOException`

    - #### readToken

          public int readToken()
                        throws java.io.IOException

      Specified by:
        `readToken` in class `TupleInputStream`
      Throws:
        `java.io.IOException`

    - #### getNextElement

          public java.lang.Object getNextElement()
                                          throws java.io.IOException

      Specified by:
        `getNextElement` in class `TupleInputStream`
      Throws:
        `java.io.IOException`

    - #### readIndexTuple

          public IndexTuple readIndexTuple(IndexTuple tuple)
                                    throws java.io.IOException

      Specified by:
        `readIndexTuple` in class `TupleInputStream`
      Throws:
        `java.io.IOException`

    - #### readNullVLong

          public java.lang.Long readNullVLong()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readVLong

          public long readVLong()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readNullVInt

          public java.lang.Integer readNullVInt()
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readVInt

          public int readVInt()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readString

          public java.lang.String readString()
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readType

          protected final java.lang.Object readType(int type)
                                             throws java.io.IOException

      Specified by:
        `readType` in class `TupleInputStream`
      Throws:
        `java.io.IOException`

    - #### readType

          public final java.lang.Object readType(java.lang.Class type)
                                          throws java.io.IOException

      Specified by:
        `readType` in class `TupleInputStream`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.